<script>
	import { onNavigate } from '$app/navigation';
	import '../../app.css';
	import 'svelte-ripple-action/ripple.css';
	import { page } from '$app/stores';
	import Header from '../../components/Main/Header.svelte';
	import { isSmallScreen } from '../../stores/stores';

	onNavigate((navigation) => {
		if (!document.startViewTransition) return;

		return new Promise((resolve) => {
			document.startViewTransition(async () => {
				resolve();
				await navigation.complete;
			});
		});
	});

	let innerWidth = 0;
	$: $isSmallScreen = innerWidth < 768;

	let showHeader = false;
	$: showHeader =
		$page.route.id !== '/' && $page.route.id !== '/login' && $page.route.id !== '/create-account';
</script>

<svelte:window bind:innerWidth />

<div class="flex flex-col w-screen h-screen bg-light-surface-500">
	{#if showHeader}
		<Header />
	{/if}
	<div class="grow flex overflow-x-hidden">
		<slot />
	</div>
</div>
